local Egg = ...

-- Register image assets
Egg:registerAssetId("icons/egg.png", "ICON_" .. _EggPrefix .. "_EGG")

-- Register egg (food)
Egg:register({
	DataType = "RESOURCE",
	Id = _EggPrefix .. "_EGG",
	ResourceName = _EggPrefix .. "_EGG",
	Icon = "ICON_" .. _EggPrefix .. "_EGG",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 }
})
